Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		cdw
#Epoch:		0
Version:	0.5.0
Release:	1
License:	GNU/GPLv2
URL:		http://cdw.sourceforge.net/
Group:		Archiving/CD Burning
Summary:	ncurses frontend to command-line CD recording tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libcdio-devel
BuildRequires: ncurses-devel

%description
cdw is a front-end for command-line tools: cdrecord/wodim, mkisofs/genisoimage, growisofs, dvd+rw-mediainfo, dvd+rw-format. It utilizes ncurses library to build user-friendly interface and it can be used in UNIX terminal window or in terminal emulator (like konsole, rxvt or gnome-terminal) in X Window environment. cdw supports only ISO9660 filesystem for optical media. Other filesystem for optical media are not supported nor recognized.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="-I/usr/include/ncursesw $CFLAGS"
export LDFLAGS="-L/usr/lib/ncursesw $LDFLAGS"
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/cdw
%{_mandir}/man1/cdw.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0-1
- initial CCux package release
